Generate system metadata from ORNL/DAAC for python MN service

2010-03-25 13:39 - Dave Vieglais

Status: Closed Start date: 2013-01-02

Priority: High Due date: 2013-01-02

Assignee: Giri Palanisamy % Done: 100%

Category: mn.Mercury Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

As a DAAC manager / developer I need  to provide a mechanism for generating DataONE system metadata for the objects that will

be shared through the MN stack for participation in  the prototype activities.

create export for sysmeta XML objects

need to implement mechanism for tracking obsoletes / obsoleted by

System  metadata fields that must be filled by the client:

identifier        for prototype, use    "throwaway" GUID for zip and sci-meta

objectFormat      Mime/Type    (enumerated value from sysmetadata schema)

size              byte size of  object   (science metadata or data zip file)

submitter         "ORNL DAAC User    Services Offices"

rightsHolder      = submitter?

obsoletes         null (for now)

obsoletedBy       null (for now)

derivedFrom       null

describes         ID of the data   (for  system metadata describing science metadata)

describedBy       ID of the science    metadata (for sysmeta describing data)

checksum          SHA-1 checksum

checksumAlgorithm "SHA-1"

embargoExpires    null

accessRule        read anyone   (except  bad/interesting countries)

replicationPolicy "Legally valid    entities"

History

#1 - 2010-03-30 21:23 - Robert Waltz

- Status changed from New to In Progress

#2 - 2010-08-13 23:04 - Dave Vieglais

- Status changed from In Progress to Closed
https://redmine.dataone.org/projects/d1/wiki/DataONE


#3 - 2013-01-02 15:44 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- Start date set to 2013-01-02

- Due date set to 2013-01-02

- Category changed from 299 to mn.Mercury
